import { jsx as l, jsxs as y, Fragment as z } from "react/jsx-runtime";
import o from "clsx";
import E, { lazy as U, useRef as P, useEffect as j, Suspense as O } from "react";
/*!
  @versini/ui-panel v1.0.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_PANEL__ || (window.__VERSINI_UI_PANEL__ = {
    version: "1.0.1",
    buildTime: "09/18/2024 09:23 AM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const R = "av-messagebox", C = "av-panel", S = "av-button", D = (e) => {
  let t = "";
  if (typeof e == "number" || typeof e == "string")
    t = "m-" + e;
  else {
    const r = [];
    (e == null ? void 0 : e.t) !== void 0 && r.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && r.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && r.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && r.push(`ml-${e.l}`), t = r.join(" ");
  }
  return t;
}, T = "icon", W = "button", G = "link", H = ({
  type: e,
  size: t,
  labelRight: r,
  labelLeft: a,
  align: n
}) => {
  const d = "text-sm font-medium max-h-8 py-0", g = "text-base font-medium max-h-9 py-1", i = "text-lg font-medium max-h-12 py-2";
  switch (e) {
    case W:
      return o("px-4", {
        [d]: t === "small",
        [g]: t === "medium",
        [i]: t === "large"
      });
    case G:
      return o("px-4 text-center", {
        [d]: t === "small",
        [g]: t === "medium",
        [i]: t === "large"
      });
    case T:
      return o("inline-flex items-center", {
        "justify-center": n === "center",
        "justify-start": n === "left",
        "justify-end": n === "right",
        "h-6 w-6 p-0": t === "small" && !(r || a),
        "h-6 px-4 text-sm font-medium": t === "small" && (r || a),
        "h-8 w-8 p-1": t === "medium" && !(r || a),
        "h-8 px-4 text-base font-medium": t === "medium" && (r || a),
        "h-12 w-12 p-2": t === "large" && !(r || a),
        "h-12 px-4 text-lg font-medium": t === "large" && (r || a)
      });
  }
}, X = ({
  mode: e,
  noBackground: t,
  noTruncate: r,
  variant: a
}) => {
  if (t)
    return "not-prose rounded-full";
  if (a === "primary")
    return o("not-prose rounded-full", {
      truncate: !r,
      "bg-action-dark text-copy-light": e === "dark",
      "bg-action-light text-copy-lighter": e === "light",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "alt-system"
    });
  if (a === "secondary")
    return o("not-prose rounded-full", {
      truncate: !r,
      "bg-action-dark text-copy-light": e === "light",
      "bg-action-light text-copy-lighter": e === "dark",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "alt-system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "system"
    });
  if (a === "danger")
    return o("not-prose rounded-full", {
      truncate: !r,
      "bg-action-danger-dark text-copy-light": e === "dark",
      "bg-action-danger-light text-copy-lighter": e === "light",
      "bg-action-danger-dark text-copy-light dark:bg-action-danger-light dark:text-copy-lighter": e === "system",
      "bg-action-danger-light text-copy-lighter dark:bg-action-danger-dark dark:text-copy-light": e === "alt-system"
    });
}, Y = ({
  mode: e,
  disabled: t,
  variant: r
}) => {
  if (t)
    return "";
  if (r === "primary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (r === "secondary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (r === "danger")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
}, F = ({
  mode: e,
  disabled: t,
  variant: r
}) => {
  if (t)
    return "";
  if (r === "primary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (r === "secondary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (r === "danger")
    return o("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
}, q = ({
  mode: e,
  noBorder: t,
  variant: r
}) => {
  if (t)
    return "border border-transparent";
  if (r === "primary")
    return o("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (r === "secondary")
    return o("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (r === "danger")
    return o("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
}, J = ({ focusMode: e }) => o("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), L = ({
  type: e,
  className: t,
  raw: r,
  mode: a,
  focusMode: n,
  disabled: d,
  fullWidth: g,
  size: i,
  noBorder: h,
  labelRight: s,
  labelLeft: u,
  spacing: b,
  noBackground: m,
  variant: c,
  noTruncate: f,
  align: v
}) => (c || (c = "primary"), r ? o(S, t) : o(
  S,
  t,
  D(b),
  X({ mode: a, variant: c, noBackground: m, noTruncate: f }),
  H({ type: e, size: i, labelRight: s, labelLeft: u, align: v }),
  q({ mode: a, variant: c, noBorder: h }),
  J({ focusMode: n }),
  Y({ mode: a, variant: c, disabled: d }),
  F({ mode: a, variant: c, disabled: d }),
  {
    "w-full": g,
    "disabled:cursor-not-allowed disabled:opacity-50": d
  }
)), K = (e, t, r) => {
  var a;
  !t && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((a = e == null ? void 0 : e.currentTarget) == null ? void 0 : a.focus) == "function" && e.currentTarget.focus(), typeof r == "function" && r(e);
}, M = E.forwardRef((e, t) => {
  const { onClick: r, noInternalClick: a = !1, ...n } = e;
  return /* @__PURE__ */ l(
    "button",
    {
      ref: t,
      onClick: (d) => {
        K(d, a, r);
      },
      ...n
    }
  );
});
M.displayName = "BaseButton";
const $ = E.forwardRef(
  ({
    children: e,
    disabled: t = !1,
    mode: r = "system",
    focusMode: a = "system",
    fullWidth: n = !1,
    className: d,
    type: g = "button",
    raw: i = !1,
    noBorder: h = !1,
    "aria-label": s,
    label: u,
    size: b = "medium",
    labelRight: m,
    labelLeft: c,
    spacing: f,
    noBackground: v = !1,
    align: _ = "center",
    ...w
  }, N) => {
    const I = L({
      type: T,
      mode: r,
      focusMode: a,
      fullWidth: n,
      disabled: t,
      raw: i,
      className: d,
      noBorder: h,
      size: b,
      labelRight: m,
      labelLeft: c,
      spacing: f,
      noBackground: v,
      align: _
    }), B = o({
      "text-copy-accent-dark": r === "light" && !i,
      "text-copy-light": r === "dark" && !i,
      "text-copy-accent-dark dark:text-copy-light": r === "alt-system" && !i,
      "text-copy-light dark:text-copy-accent-dark": r === "system" && !i
    });
    return /* @__PURE__ */ y(
      M,
      {
        ref: N,
        className: I,
        disabled: t,
        type: g,
        "aria-label": s || u,
        ...w,
        children: [
          c && /* @__PURE__ */ l("span", { className: "pr-2", children: c }),
          /* @__PURE__ */ l("div", { className: B, children: e }),
          m && /* @__PURE__ */ l("span", { className: "pl-2", children: m })
        ]
      }
    );
  }
);
$.displayName = "ButtonIcon";
/*!
  @versini/ui-button v1.1.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "1.1.1",
    buildTime: "09/18/2024 09:23 AM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Q = E.forwardRef(
  ({
    children: e,
    disabled: t = !1,
    mode: r = "system",
    focusMode: a = "system",
    fullWidth: n = !1,
    className: d,
    type: g = "button",
    raw: i = !1,
    noBorder: h = !1,
    "aria-label": s,
    label: u,
    size: b = "medium",
    labelRight: m,
    labelLeft: c,
    spacing: f,
    noBackground: v = !1,
    align: _ = "center",
    active: w = !1,
    ...N
  }, I) => {
    const B = L({
      type: T,
      mode: r,
      focusMode: a,
      fullWidth: n,
      disabled: t,
      raw: i,
      className: d,
      noBorder: h,
      size: b,
      labelRight: m,
      labelLeft: c,
      spacing: f,
      noBackground: v,
      align: _
    }), A = o({
      "text-copy-accent-dark": r === "light" && !i,
      "text-copy-light": r === "dark" && !i,
      "text-copy-accent-dark dark:text-copy-light": r === "alt-system" && !i,
      "text-copy-light dark:text-copy-accent-dark": r === "system" && !i
    }), V = w ? o(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": r === "dark",
        "after:border-table-light": r === "light",
        "after:border-table-dark dark:after:border-table-light": r === "system",
        "after:border-table-light dark:after:border-table-dark": r === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ l("div", { className: V, children: /* @__PURE__ */ y(
      M,
      {
        ref: I,
        className: B,
        disabled: t,
        type: g,
        "aria-label": s || u,
        ...N,
        children: [
          c && /* @__PURE__ */ l("span", { className: "pr-2", children: c }),
          /* @__PURE__ */ l("div", { className: A, children: e }),
          m && /* @__PURE__ */ l("span", { className: "pl-2", children: m })
        ]
      }
    ) });
  }
);
Q.displayName = "ButtonSort";
const Z = (e) => {
  let t = "";
  if (typeof e == "number" || typeof e == "string")
    t = "m-" + e;
  else {
    const r = [];
    (e == null ? void 0 : e.t) !== void 0 && r.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && r.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && r.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && r.push(`ml-${e.l}`), t = r.join(" ");
  }
  return t;
}, ee = ({
  children: e,
  fill: t,
  viewBox: r,
  className: a,
  defaultViewBox: n,
  defaultClassName: d,
  spacing: g,
  title: i,
  semantic: h = !1,
  ...s
}) => {
  const u = Z(g), b = o(
    u,
    a || d
  );
  return /* @__PURE__ */ y(z, { children: [
    /* @__PURE__ */ l(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: b,
        viewBox: r || n,
        fill: t || "currentColor",
        role: "img",
        "aria-hidden": !h,
        focusable: !1,
        ...s,
        children: e
      }
    ),
    i && h && /* @__PURE__ */ l("span", { className: "sr-only", children: i })
  ] });
};
/*!
  @versini/ui-private v1.4.10
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_PRIVATE__ || (window.__VERSINI_UI_PRIVATE__ = {
    version: "1.4.10",
    buildTime: "09/18/2024 09:22 AM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const re = ({
  className: e,
  viewBox: t,
  spacing: r,
  title: a,
  monotone: n,
  ...d
}) => /* @__PURE__ */ l(
  ee,
  {
    defaultViewBox: "0 0 384 512",
    defaultClassName: "size-5",
    viewBox: t,
    className: e,
    spacing: r,
    title: a || "Close",
    ...d,
    children: /* @__PURE__ */ l("path", { d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3l105.4 105.3c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256l105.3-105.4z" })
  }
);
/*!
  @versini/ui-icons v1.12.2
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "1.12.2",
    buildTime: "09/18/2024 09:22 AM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const p = "panel", x = "messagebox", te = ({
  className: e,
  kind: t,
  borderMode: r
}) => ({
  main: o("prose prose-lighter flex flex-col bg-surface-medium", {
    [`${C} h-full min-h-[95%] sm:h-auto sm:min-h-[10rem] sm:rounded-lg sm:border-2`]: t === p,
    [`${C} w-full sm:w-[95%] md:max-w-2xl`]: t === p && !e,
    [`${R} rounded-lg border-2`]: t === x,
    [`${R} w-[95%] sm:w-[50%] md:max-w-2xl`]: t === x && !e,
    [`${e}`]: !!e,
    "sm:border-border-dark": r === "dark" && t === p,
    "sm:border-border-accent": r === "light" && t === p,
    "border-border-dark": r === "dark" && t === x,
    "border-border-accent": r === "light" && t === x
  }),
  content: "flex flex-grow flex-col py-2 sm:py-4 sm:px-4 px-2",
  footer: "flex flex-grow flex-col sm:p-4 p-2",
  header: "sm:p-4 mb-0 p-2",
  close: "sm:p-4 p-2"
}), k = (e) => U(
  () => import("./chunks/index.C4RW4_bE.js").then((t) => ({
    default: t[e]
  }))
), ae = k("Modal"), oe = k("ModalClose"), ie = k("ModalContent"), le = k("ModalDescription"), de = k("ModalHeading"), ge = ({
  open: e,
  onOpenChange: t,
  title: r,
  children: a,
  footer: n,
  borderMode: d = "light",
  kind: g = p,
  className: i
}) => {
  const h = P(""), s = te({ className: i, kind: g, borderMode: d });
  return j(() => (e && (h.current = document.title, document.title = `${r} | ${h.current}`), () => {
    e && (document.title = h.current);
  }), [r, e]), /* @__PURE__ */ l(O, { fallback: /* @__PURE__ */ l("div", {}), children: e && /* @__PURE__ */ l(ae, { open: e, onOpenChange: t, children: /* @__PURE__ */ y(ie, { className: s.main, children: [
    /* @__PURE__ */ y("div", { className: "flex flex-row-reverse items-center justify-between", children: [
      /* @__PURE__ */ l(
        oe,
        {
          className: s.close,
          trigger: /* @__PURE__ */ l(
            $,
            {
              mode: "dark",
              focusMode: "light",
              noBorder: !0,
              label: "Close",
              children: /* @__PURE__ */ l(re, {})
            }
          )
        }
      ),
      /* @__PURE__ */ l(de, { className: s.header, children: r })
    ] }),
    /* @__PURE__ */ l(le, { className: s.content, children: a }),
    n && /* @__PURE__ */ l("div", { className: s.footer, children: n })
  ] }) }) });
};
export {
  R as MESSAGEBOX_CLASSNAME,
  C as PANEL_CLASSNAME,
  ge as Panel
};
